Bug 1273438 - [abrt] kf5-kinit: qt_message_fatal(): kdeinit5 killed by SIGABRT
[abrt] kf5-kinit: qt_message_fatal(): kdeinit5 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kinit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:41e47877c8dd64a22ace60a176b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 08:51 EDT by Kamil Páral
Modified: 2016-12-27 21:24 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:05:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.33 KB, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: core_backtrace (9.29 KB, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: dso_list (27.62 KB, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: environ (4.16 KB, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: maps (114.03 KB, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: mountinfo (3.05 KB, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: open_fds (183 bytes, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2015-10-20 08:51 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2015-10-20 08:51:00 EDT
Description of problem:
Happened during live "dnf update".

Version-Release number of selected component:
kf5-kinit-5.14.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'kded5 [kdeinit5]' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     2025
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 qt_message_fatal at global/qlogging.cpp:1575
 #6 QMessageLogger::fatal at global/qlogging.cpp:777
 #7 KPluginInfo::email at ../../src/services/kplugininfo.cpp:476
 #8 KPluginInfo::setConfig at ../../src/services/kplugininfo.cpp:564
 #9 KPluginInfo::fromServices at ../../src/services/kplugininfo.cpp:385
 #10 Kded::availableModules at ../../src/kded.cpp:194
 #11 Kded::initModules at ../../src/kded.cpp:252
 #12 Kded::recreateDone at ../../src/kded.cpp:578
 #13 Kded::qt_static_metacall at moc_kded.cpp:105
 #14 Kded::qt_metacall at moc_kded.cpp:155
Comment 1 Kamil Páral 2015-10-20 08:51:06 EDT
Created attachment 1084727 [details]
File: backtrace
Comment 2 Kamil Páral 2015-10-20 08:51:08 EDT
Created attachment 1084728 [details]
File: cgroup
Comment 3 Kamil Páral 2015-10-20 08:51:10 EDT
Created attachment 1084729 [details]
File: core_backtrace
Comment 4 Kamil Páral 2015-10-20 08:51:12 EDT
Created attachment 1084730 [details]
File: dso_list
Comment 5 Kamil Páral 2015-10-20 08:51:13 EDT
Created attachment 1084731 [details]
File: environ
Comment 6 Kamil Páral 2015-10-20 08:51:15 EDT
Created attachment 1084732 [details]
File: limits
Comment 7 Kamil Páral 2015-10-20 08:51:17 EDT
Created attachment 1084733 [details]
File: maps
Comment 8 Kamil Páral 2015-10-20 08:51:19 EDT
Created attachment 1084734 [details]
File: mountinfo
Comment 9 Kamil Páral 2015-10-20 08:51:21 EDT
Created attachment 1084735 [details]
File: open_fds
Comment 10 Kamil Páral 2015-10-20 08:51:22 EDT
Created attachment 1084736 [details]
File: proc_pid_status
Comment 11 kakoskin 2015-10-29 07:11:31 EDT
Another user experienced a similar problem:

Install KDE Live. Run dnf update in terminal and wait for update to finish. The crash occured in the middle of the update but did not affect it.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'kded5 [kdeinit5]' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     1822
kernel:         4.2.3-300.fc23.x86_64
package:        kf5-kinit-5.14.0-1.fc23
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Fedora End Of Life 2016-11-24 07:51:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:05:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.